Class | Needle::LoggingInterceptor
In: | lib/needle/logging-interceptor.rb
Parent: | Object

A LoggingInterceptor is an interceptor object that logs method invocations and exceptions. It includes the IncludeExclude functionality.

### Methods

new process

### Included Modules

IncludeExclude

### Public Class methods

new( point, parms )

Create a new LoggingInterceptor for the given service point, with the given list of include and exclude patterns. The logger object will be created as well, named with the service point‘s full name.

### Public Instance methods

process( chain, context )

Processes a method invocation context. If the current log has debugging activated, and the requested method is not excluded by the interceptor‘s exclude and include patterns, then a message will be written for the method‘s invocation, its return code, and any exception that is thrown.

[Validate]